Bug 248073 - Directory Browser shows nothing if the suffix is empty
Summary: Directory Browser shows nothing if the suffix is empty
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: UI - Dir Browser   
(Show other bugs)
Version: 1.0.4
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 152373 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-07-12 23:31 UTC by Noriko Hosoi
Modified: 2015-12-07 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:53:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cvs diff com/netscape/admin/dirserv/DSContentPage.java (1.64 KB, patch)
2007-07-12 23:31 UTC, Noriko Hosoi
no flags Details | Diff
cvs commit message (646 bytes, text/plain)
2007-07-13 16:35 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-07-12 23:31:07 UTC
Description of problem:
Even if the suffix has no entry, it'd be better that cn=config, cn=monitor, and
cn=schema are displayed.  The suffix entry could be manually removed.  Then,
opening the Directory Browser and founding the pane empty might make the user
panic (at least, it would do myself :).

Comment 1 Noriko Hosoi 2007-07-12 23:31:07 UTC
Created attachment 159110 [details]
cvs diff com/netscape/admin/dirserv/DSContentPage.java

Comment 2 Rich Megginson 2007-07-13 15:35:02 UTC
Ok.

Comment 3 Noriko Hosoi 2007-07-13 16:35:50 UTC
Created attachment 159208 [details]
cvs commit message

Reviewed by Rich (Thank you!)

Checked in into HEAD.

Comment 4 Yi Zhang 2007-11-28 23:24:42 UTC
Verified. Pass

Test machine: cypher.dsdev.sjc.redhat.com

Test steps:
1. install DS and console on cypher
2. open redhat-idm-console
3. open DS config window
4. create a new backend, add one suffix into this backend.
5. delete the new backend. 
Verify that there are still some sub-trees nodes, such as schema, config, left
over under root tree.

verify result: pass


Note You need to log in before you can comment on or make changes to this bug.